%	Evaluation of frequency-dependent per-unit-length inductance and resistance of 
%	microstrip transmission lines using closed-form formulas from
%	A. R. Djordjevic, M. Stojilovic, and T. K. Sarkar, "Closed-form formulas for 
%	frequency-dependent per-unit-length inductance and resistance of microstrip transmission lines 
%	that provide causal response",
% IEEE Transactions on Electromagnetic Compatibility, Vol. 56, No. 6, December 2014, pp. 1604-1612.

clear all
close all
clc

prompt = {'Strip width [mm]', 'Substrate height [mm]', 'Ground-plane width [mm]', 'Metallization thickness [um]', 'Conductivity [MS/m]', 'Start frequency [GHz]', 'Stop frequency [GHz]', 'Number of frequency steps', 'Scale'};
defaults = {'1.4', '0.8', '20', '18', '58', '1e-6', '1', '1000', 'Logarithmic'};
rowscols = [1,10; 1,10; 1,10; 1,10; 1,10; 1,10; 1,10; 1,10; 1,10];
input_data = inputdlg (prompt, 'Input microstrip data', rowscols, defaults);

if isempty(input_data)
  return
end

w_string = char(input_data(1)); % strip width [mm]
h_string = char(input_data(2)); % substrate thickness [mm]
g_string = char(input_data(3)); % ground-plane width [mm]
t_string = char(input_data(4)); % metallization thickness [um]
sigma_string = char(input_data(5)); % conductiviy [MS/m]
fstart_string = char(input_data(6)); % start frequency [GHz]
fstop_string = char(input_data(7)); % stop frequency [GHz]
nf_string = char(input_data(8)); % number of frequency steps
f_scale = char(input_data(9)); % scale Logarithmic or Linear

Microstrip_l_r_function
