function f=fintmd(a,b,c,d)

%	evaluate a term entering the expression for the inductance of finite-thickness conductors

amb=a-b;
apb=a+b;
cmd=c-d;
cpd=c+d;

if amb==0

	f=(4*a*(4*a^2*(c+2*d)-d^3)*pi*sign(cpd)/3-4*a*(4*a^2*(c-2*d)+d^3)*pi*sign(cmd)/3)*sign(a);
	f=f-8*a*(4*a^2*(cpd)-(c^3+3*c^2*d+3*c*d^2+d^3))*atan(2*a/(cpd))/3;
	f=f+8*a*(4*a^2*(cmd)-(c^3-3*c^2*d+3*c*d^2-d^3))*atan(2*a/(cmd))/3;
	f=f-(16*a^4-24*a^2*(cpd^2)+c^4+4*c^3*d+6*c^2*d^2+4*c*d^3+d^4)*log(4*a^2+cpd^2)/6;
	f=f+(16*a^4-24*a^2*(cmd^2)+c^4-4*c^3*d+6*c^2*d^2-4*c*d^3+d^4)*log(4*a^2+cmd^2)/6;
	f=f+cpd^4*log(cpd)/3-cmd^4*log(abs(cmd))/3;
	f=f-200./3.*a^2*c*d;

else
    
	f=(2*cpd^2*apb*pi*abs(cpd)/3-2*cmd^2*apb*pi*abs(cmd)/3)*sign(apb);
	f=f+(2*cmd^2*amb*pi*abs(cmd)/3-2*cpd^2*amb*pi*abs(cpd)/3)*sign(amb);
	f=f+(4*a^4+16*a^3*b+12*a^2*(2*b^2-d^2)+8*a*b*(2*b^2-3*d^2)+4*b^4-12*b^2*d^2-d^4)*(2*d*atan(cpd/apb)-apb*log(apb^2+cpd^2))/(6*apb);
	f=f+(4*a^4*c+16*a^3*b*c+4*a^2*(6*b^2*c-(c^3+3*c^2*d+3*c*d^2-2*d^3))+8*a*b*(2*b^2*c-(c^3+3*c^2*d+3*c*d^2-2*d^3))+4*b^4*c-4*b^2*(c^3+3*c^2*d+3*c*d^2-2*d^3)+d^5)*atan(cpd/apb)/(3*apb);
	f=f+(4*a^4+16*a^3*b+12*a^2*(2*b^2-d^2)+8*a*b*(2*b^2-3*d^2)+4*b^4-12*b^2*d^2-d^4)*(2*d*atan(cmd/apb)+apb*log(apb^2+cmd^2))/(6*apb);
	f=f-(4*a^4*c+16*a^3*b*c+4*a^2*(6*b^2*c-(c^3-3*c^2*d+3*c*d^2+2*d^3))+8*a*b*(2*b^2*c-(c^3-3*c^2*d+3*c*d^2+2*d^3))+4*b^4*c-4*b^2*(c^3-3*c^2*d+3*c*d^2+2*d^3)-d^5)*atan(cmd/apb)/(3*apb);
	f=f-(4*a^4-16*a^3*b+12*a^2*(2*b^2-d^2)-8*a*b*(2*b^2-3*d^2)+4*b^4-12*b^2*d^2-d^4)*(2*d*atan(cpd/amb)-amb*log(amb^2+cpd^2))/(6*amb);
	f=f-(4*a^4*c-16*a^3*b*c+4*a^2*(6*b^2*c-(c^3+3*c^2*d+3*c*d^2-2*d^3))-8*a*b*(2*b^2*c-(c^3+3*c^2*d+3*c*d^2-2*d^3))+4*b^4*c-4*b^2*(c^3+3*c^2*d+3*c*d^2-2*d^3)+d^5)*atan(cpd/amb)/(3*amb);
	f=f-(4*a^4-16*a^3*b+12*a^2*(2*b^2-d^2)-8*a*b*(2*b^2-3*d^2)+4*b^4-12*b^2*d^2-d^4)*(2*d*atan(cmd/amb)+amb*log(amb^2+cmd^2))/(6*amb);
	f=f+(4*a^4*c-16*a^3*b*c+4*a^2*(6*b^2*c-(c^3-3*c^2*d+3*c*d^2+2*d^3))-8*a*b*(2*b^2*c-(c^3-3*c^2*d+3*c*d^2+2*d^3))+4*b^4*c-4*b^2*(c^3-3*c^2*d+3*c*d^2+2*d^3)-d^5)*atan(cmd/amb)/(3*amb);
	f=f+(3*a^4+12*a^3*b+6*a^2*(3*b^2+c^2+2*c*d-d^2)+12*a*b*(b^2+c^2+2*c*d-d^2)+3*b^4+6*b^2*(c^2+2*c*d-d^2)-(c^4+4*c^3*d+6*c^2*d^2+4*c*d^3+2*d^4))*log(apb^2+cpd^2)/6;
	f=f-(3*a^4+12*a^3*b+6*a^2*(3*b^2+c^2-2*c*d-d^2)+12*a*b*(b^2+c^2-2*c*d-d^2)+3*b^4+6*b^2*(c^2-2*c*d-d^2)-(c^4-4*c^3*d+6*c^2*d^2-4*c*d^3+2*d^4))*log(apb^2+cmd^2)/6;
	f=f-(3*a^4-12*a^3*b+6*a^2*(3*b^2+c^2+2*c*d-d^2)-12*a*b*(b^2+c^2+2*c*d-d^2)+3*b^4+6*b^2*(c^2+2*c*d-d^2)-(c^4+4*c^3*d+6*c^2*d^2+4*c*d^3+2*d^4))*log(amb^2+cpd^2)/6;
	f=f+(3*a^4-12*a^3*b+6*a^2*(3*b^2+c^2-2*c*d-d^2)-12*a*b*(b^2+c^2-2*c*d-d^2)+3*b^4+6*b^2*(c^2-2*c*d-d^2)-(c^4-4*c^3*d+6*c^2*d^2-4*c*d^3+2*d^4))*log(amb^2+cmd^2)/6;
	f=f-200./3.*a*b*c*d;

end
